#include <bits/stdc++.h>
using namespace std;
int main(){
int n;
cin >>n;
vector <pair <double,int> > a(n);
for(int i=0;i<n;i++)cin >>a[i].second>>a[i].first;
sort(a.begin(),a.end());
double rez=0;
long long sum=0;
for(int i=n-1;i>=0;i--){
sum+=a[i].second;
double curr=(sum*a[i].first)/100;
rez=max(rez,curr);
}
printf("%.4lf\n",rez);
}